Name:       opam
Version:    1.0.0
Release:    %mkrel 1
Summary:    A source-based package manager for OCaml
License:    GPL
Group:      Development/OCaml
URL:        http://opam.ocamlpro.com/
Source0:    http://www.ocamlpro.com/pub/opam-full-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  camlp4-devel

%description
OPAM stands for OCaml PAckage Manager.
It aims to suit to a vast number of users and use cases,
and has unique features:

 * Powerful handling of dependencies:
   versions constraints, optional dependencies, conflicts, etc.
 * Multiple repositories backends: HTTP, rsync, git
 * Ease to create packages and repositories
 * Ability to switch between different compiler versions

Typically, OPAM will probably make your life easier if you recognize
yourself in at least one of these profiles:

 * You use multiple versions of the OCaml compiler, or you hack the
   compiler yourself and needs to frequently switch between compiler
   versions.
 * You use or develop software that needs a specific and/or modified
   version of the OCaml compiler to be installed.
 * You use or develop software that depends on a specific version of an
   OCaml library, or you just want to install a specific version of a
   package, not just the latest one.
 * You want to create your own packages yourself, put them on your own
   repository, with minimal effort.

%package    doc
Summary:    Documentation files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description doc
The %{name}-doc package contains documentation for using %{name}.

%prep
%setup -q -n opam-full-%{version}

%build
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --mandir=%{_mandir} \
    --datadir=%{_datadir} \
    --localstatedir=%{_localstatedir} \
    --docdir=%{_docdir}/%{name}-devel/

make all opt
#make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
make install

%files
%doc README.md LICENSE CHANGES
%doc AUTHORS CONTRIBUTORS
%{_bindir}/opam
%{_bindir}/opam-mk-repo
%{_mandir}/man1/opam.1*
%{_mandir}/man1/opam-*.1*

%files doc
%doc doc/
%doc tests/
%doc jenkins/
%doc shell/


%changelog

* Mon Apr 01 2013 blue_prawn <blue_prawn> 1.0.0-1.mga3
+ Revision: 407071
- build requires camlp4
- imported package opam

